/*
** definizione e test delle funzione che copia il contenuto
** di un primo vettore su un secondo vettore di interi
*/

/*
** inclusione del file di intestazione della libreria standard
** che contiene definizioni di macro, costanti e dichiarazioni
** di funzioni e tipi funzionali alle varie operazioni di I/O
*/
#include <stdio.h>

/* definizione della costante simbolica per la dimensione del vettore */
#define DIM 10
 
/*
** funzione per l'acquisizione del contenuto di un vettore di interi
*/
void acqVettInt (int *vett, int dim)
 {
 /* variabile per la scansione del vettore */
 int cursore;
 
 /* scandisce il vettore acquisendone gli elementi */
 for (cursore=0; cursore <= dim-1; cursore++)
    {
    printf("\nvett[%d]? ", cursore);
    scanf("%d", &vett[cursore]);
    }
 }
	
/*
** funzione per la visualizzazione del contenuto di un vettore di interi
*/
void resVettInt (int *vett, int dim)
 {
 /* variabile per la scansione del vettore */
 int cursore;

 /* scandisce il vettore visualizzandone gli elementi */ 
 for (cursore=0; cursore <= dim-1; cursore++)
	printf("\nvett[%d]: %d", cursore, vett[cursore]);
 }

/*
** definizione della funzione che copia il contenuto
** di un primo vettore su un secondo vettore di interi
*/
void copiaVettInt(int *source, int *target, int dim)
  {
  /* variabile per la scansione del vettore e sua inizializzazione*/
  int cursore=0;
  
  /* copia elemento per elemento il vettore sorgente su
  ** quello destinazione */
  while(cursore <= DIM-1)
     {
	 target[cursore] = source[cursore];
	 cursore++;
	 }
  }
  
/*
** test del cooretto funzionamento della funzione che copia il contenuto
** di un primo vettore su un secondo vettore di interi
** 
*/
int main()
	{
	/* definizione dei vettori sorgente e destinazione */
	int sorgente[DIM];
	int destinazione[DIM];
	
	/* acquisizione del contenuto del vettore sorgente */
	acqVettInt(sorgente, DIM);
	
	/* copia del vettore sorgente sul vettore destinazione */
	copiaVettInt(sorgente, destinazione, DIM);
	
	/* visualizzaqzione del vettore destinazione */
	resVettInt(destinazione, DIM);
 
	return(1);
	}

